View Issue Details

IDProjectCategoryView StatusLast Update
0000715SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.9 
Target Version3.0.10Fixed in Version3.0.10 
Summary0000715: Default values with underscores end up escaped (unecessarily) with a '\' or '%' character on MySQL
Descriptionhttps://sourceforge.net/projects/symmetricds/forums/forum/739236/topic/5223092
TagsNo tags attached.

Activities

chenson

2012-07-18 16:17

administrator   ~0000037

% and \ are not characters that need escaped.

Related Changesets

SymmetricDS: master f64cd790

2012-07-18 16:19:17

chenson

Details Diff
0000715: Default values with underscores end up escaped (unecessarily) with a '\' or '%' character on MySQL
0000715
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

Issue History

Date Modified Username Field Change
2012-07-17 09:21 chenson New Issue
2012-07-17 09:21 chenson Status new => assigned
2012-07-17 09:21 chenson Assigned To => chenson
2012-07-17 09:21 chenson Summary Default values with underscores end up escape (unecessarily) with a '\' character on MySQL => Default values with underscores end up escaped (unecessarily) with a '\' character on MySQL
2012-07-18 16:17 chenson Note Added: 0000037
2012-07-18 16:17 chenson Status assigned => resolved
2012-07-18 16:17 chenson Fixed in Version => 3.0.10
2012-07-18 16:17 chenson Resolution open => fixed
2012-07-18 16:18 chenson Target Version 3.1.0 => 3.0.10
2012-07-18 16:18 chenson Summary Default values with underscores end up escaped (unecessarily) with a '\' character on MySQL => Default values with underscores end up escaped (unecessarily) with a '\' or '%' character on MySQL
2012-07-23 16:02 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6042
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f64cd790